* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Segoe UI", sans-serif;
}

body {
  background: #6c2bd9;
  padding: 40px;
}

.container {
  background: white;
  border-radius: 20px;
  padding: 30px 50px 0px 50px;
  box-shadow: 0 20px 50px rgba(0, 0, 0, 0.2);
  overflow: hidden;
  position: relative;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
}

.logo {
  font-size: 22px;
  font-weight: bold;
}

.logo span {
  color: #7c3aed;
}

.nav-links {
  display: flex;
  gap: 30px;
}

.nav-links a {
  text-decoration: none;
  color: #555;
  font-weight: 500;
}

.hamburger {
  display: none;
  font-size: 22px;
  cursor: pointer;
  z-index: 100;
}

.talk-btn {
  background: #7c3aed;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 8px;
  cursor: pointer;
}

.talk-btn:hover {
  background: #333;
}

.hero {
  display: flex;
  justify-content: space-between;
  align-items: stretch;
  min-height: 460px;
}

.hero-left {
  width: 50%;
  padding-top: 40px;
  padding-bottom: 40px;
}

.hero-left h4 {
  color: #666;
  margin-bottom: 10px;
}

.hero-left h1 {
  font-size: 52px;
  margin-bottom: 15px;
}

.hero-left h1 span {
  color: #7c3aed;
}

.hero-left p {
  color: #777;
  line-height: 1.6;
  margin-bottom: 25px;
  max-width: 500px;
}

.buttons {
  display: flex;
  gap: 15px;
  margin-bottom: 25px;
}

.btn-primary {
  background: #333;
  color: white;
  padding: 12px 22px;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  text-decoration: none;
}

.btn-outline {
  border: 2px solid #7c3aed;
  color: #7c3aed;
  padding: 12px 22px;
  border-radius: 8px;
  background: transparent;
  cursor: pointer;
}

.socials {
  display: flex;
  gap: 15px;
}

.socials i {
  width: 35px;
  height: 35px;
  border-radius: 50%;
  border: 1px solid #ccc;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.hero-right {
  width: 50%;
  display: flex;
  align-items: flex-end;
  justify-content: center;
}

.hero-right img {
  height: 100%;
  max-height: 460px;
  object-fit: cover;
  display: block;
}

/* MOBILE */
@media (max-width: 900px) {
  .container {
    padding: 25px;
  }

  .nav-links {
    position: absolute;
    top: 80px;
    right: 20px;
    background: white;
    flex-direction: column;
    gap: 20px;
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.15);
    display: none;
  }

  .nav-links.active {
    display: flex;
  }

  .hamburger {
    display: block;
  }

  .talk-btn {
    display: none;
    text-decoration: none;
  }

  .hero {
    flex-direction: column;
  }

  .hero-left {
    width: 100%;
    text-align: center;
  }

  .hero-left p {
    margin: auto;
  }

  .buttons {
    justify-content: center;
  }

  .socials {
    justify-content: center;
  }

  .hero-right {
    width: 100%;
    margin-top: 20px;
  }

  .hero-right img {
    height: 350px;
  }
}

a {
  text-decoration: none;
}

/* default: hidden di desktop */
.btn-talk-mobile {
  display: none;
}

/* default: sembunyikan di desktop */
.talk-mobile {
  display: none;
}

/* MOBILE */
@media (max-width: 900px) {
  .buttons {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
  }

  .talk-mobile {
    display: inline-block;
  }

  /* sembunyikan yang di navbar */
  .talk-btn {
    display: none;
  }
}
